# H4503_ARGUMENT_checkRestriction Class Reference

`#include <h4503.h>`

Inheritance diagram for H4503_ARGUMENT_checkRestriction:

List of all members.

## Public Types

enum | OptionalFields { e_extension }

## Public Member Functions

| H4503_ARGUMENT_checkRestriction (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4501_EndpointAddress | m_servedUserNr
H4503_BasicService | m_basicService
H4501_EndpointAddress | m_divertedToNr
H4503_ARGUMENT_checkRestriction_extension | m_extension

## Member Enumeration Documentation

enum H4503_ARGUMENT_checkRestriction::OptionalFields

Enumerator:

  e_extension |

## Constructor & Destructor Documentation

H4503_ARGUMENT_checkRestriction::H4503_ARGUMENT_checkRestriction | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4503_ARGUMENT_checkRestriction::GetDataLength | ( |  | ) | const

PBoolean H4503_ARGUMENT_checkRestriction::Decode | ( | PASN_Stream & | strm | ) |

void H4503_ARGUMENT_checkRestriction::Encode | ( | PASN_Stream & | strm | ) | const

void H4503_ARGUMENT_checkRestriction::PrintOn | ( | ostream & | strm | ) | const

Comparison H4503_ARGUMENT_checkRestriction::Compare | ( | const PObject & | obj | ) | const

PObject* H4503_ARGUMENT_checkRestriction::Clone | ( |  | ) | const

## Member Data Documentation

H4501_EndpointAddress H4503_ARGUMENT_checkRestriction::m_servedUserNr

H4503_BasicService H4503_ARGUMENT_checkRestriction::m_basicService

H4501_EndpointAddress H4503_ARGUMENT_checkRestriction::m_divertedToNr

H4503_ARGUMENT_checkRestriction_extension H4503_ARGUMENT_checkRestriction::m_extension

The documentation for this class was generated from the following file:

- h4503.h